PREFIX = /usr
ETCDIR = /etc/$(PROGLNAME)
WWWDIR = /var/www/htdocs/$(PROGLNAME)
CACHEDIR = /var/cache/$(PROGLNAME)
LOCDIR = $(PREFIX)/share/$(PROGLNAME)
DOCDIR = $(PREFIX)/doc/$(PROGLNAME)-$(PROGVERSION)
MANDIR = $(PREFIX)/man
LOGFILE = /var/log/squid/access.log

CC = cc
SORT = /bin/sort
INSTALL = /usr/bin/install

LARGEFILE = yes
SATSEP = '
HAVE_STRL = 1

# CPU (allowed by cc '-xarch' option: native, sparc, sparcvis, v9, amd64, etc)
SARCH = native
ADDCFLAGS = -fast -xarch=$(SARCH) -xc99=all -Xc
ADDLIBS = -lsocket -lnsl
