#include "global.h"


void ReportList(void) {
    FILE *LR;
    short int i;

    /* LR: open & header */
    LR = SAfopenH("../", 'r', cfg.configuration_name, NULL, 1, TEMPL_REPORT, icfg.ReportDir, icfg.LRname);
    
    /* LR: write links to LFRs */
    for (i = 0; i < icfg.LFcount; i++)
	if (LF[i].all.count)
	    SAfprintf(LR, "\t<tr><td class=c%hd><td colspan=4 class=el><a href=\"lf_%hd.html\">%s</a>\n", i, i, lfcfgs[i]->name);
    /* LR: write link to TSR */
    if (ccCount && cfg.top_sites_report) SAfprintf(LR, "\t<tr><td class=el><td colspan=4 class=el><a href=\"%s.html\">%s</a>\n", icfg.TSRname, loc->TopSites);
    /* LR: write link to SER */
    if (cfg.server_efficiency_report) SAfprintf(LR, "\t<tr><td class=el><td colspan=4 class=el><a href=\"%s.html\">%s</a>\n", icfg.SERname, loc->SEfficiency);
    /* LR: write link to TUR */
    if (ccCount) SAfprintf(LR, "\t<tr><td class=el><td colspan=4 class=el><a href=\"%s.html\">%s</a>\n", icfg.TURname, loc->TopUsers);

    /* LR: close */
    SAfcloseH(LR);
}
