PREFIX = $(DESTDIR)/usr
ETCDIR = $(DESTDIR)/etc/$(PROGLNAME)
WWWDIR = $(DESTDIR)/var/www/html/$(PROGLNAME)
CACHEDIR = $(DESTDIR)/var/cache/$(PROGLNAME)
LOCDIR = $(PREFIX)/share/$(PROGLNAME)
DOCDIR = $(PREFIX)/share/doc/$(PROGLNAME)-$(PROGVERSION)
MANDIR = $(PREFIX)/man
LOGFILE = $(DESTDIR)/var/log/squid/access.log

CC = gcc
SORT = /bin/sort
INSTALL = /usr/bin/install

LARGEFILE = yes
SATSEP = '
HAVE_STRL = 0

# CPU (allowed by gcc '-march' option: native, i486, pentium3, athlon, nocona, k8 ...)
SARCH = i586
ADDCFLAGS = \
	-O4 -pipe -march=$(SARCH) -fomit-frame-pointer				\
	-std=c99								\
	-W -Wall -Wextra -Wredundant-decls -Wnested-externs -Wstrict-prototypes	\
	-Wmissing-prototypes -Wpointer-arith -Winline -Wcast-qual		\
	-Wreturn-type -Wswitch -Wshadow -Wcast-align -Wuninitialized		\
	-Wchar-subscripts -Wuninitialized -Wbad-function-cast -Wwrite-strings
ADDLDFLAGS = -mrelax
LDADD = -lm
