%define beta b5
Summary: Free-SA is statistic analyzer  log files similar to SARG.
Name: free-sa
Version: 2.0.0%{beta}
Release: 1%{?dist}
License: GPLv2
Group: Applications/Internet
URL: http://free-sa.sourceforge.net
Source0: http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description 
Free-SA is statistic analyzer for daemons log files similar to SARG.
Its main advantages over SARG are much better speed (7x-20x times),
more reports support, crossplatform work and W3C compliance of generated
HTML/CSS reports code.

%prep
%setup -q -n %{name}-%{version}
%ifarch i386 i486 i586 i686 athlon
sed -in '1,4s/= /= \$(DESTDIR)/' %{_builddir}/%{name}-%{version}/configs/redhat-i686-gcc4.mk
sed -in 's/-march=\$(SARCH)//' %{_builddir}/%{name}-%{version}/configs/redhat-i686-gcc4.mk
sed -in 's/generic-any-cc/redhat-i686-gcc4/' %{_builddir}/%{name}-%{version}/global.mk
%endif
%ifarch amd64 x86_64 ia32e
sed -in '1,4s/= /= \$(DESTDIR)/' %{_builddir}/%{name}-%{version}/configs/redhat-x86_64-gcc4.mk
sed -in 's/-march=\$(SARCH)//' %{_builddir}/%{name}-%{version}/configs/redhat-x86_64-gcc4.mk
sed -in 's/generic-any-cc/redhat-x86_64-gcc4/' %{_builddir}/%{name}-%{version}/global.mk
%endif

%build
make %{?_smp_mflags} 

%install
%{__rm} -rf $RPM_BUILD_ROOT
make install DESTDIR=%{buildroot} 

%clean
%{__rm} -rf %{buildroot}

%files
%doc ChangeLog COPYING FAQ INSTALL README README.DEV THANKS
%{_bindir}/*
%{_datadir}/%name/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%config (noreplace) %{_sysconfdir}/%name/*
%{_localstatedir}/www/html/%name/*
%dir %{_localstatedir}/cache/%name

%changelog
* Mon Oct 5 2009 Andrew Clark <andyclarkii@gmail.com> 2.0.0-%{release}
- new version

