#include "global.h"


void InitPrivacy(void) {
    int i, ulen = 0;
    char tname[USERNAMESIZE];
    FILE *PT = NULL;


    if (cfg.reports_privacy_mode % 2 == 0) {
	ulen = strlen(cfg.reports_privacy_username) + 5;
	PT = SAfopen("w", "%s/%s", icfg.ReportDir, icfg.PTname);
    }

    for (i = 0; i < icfg.ueCount; i++) {
	SAsnprintf(tname, sizeof(tname), "%s_%d", cfg.reports_privacy_username, Users[i].id);
	if (cfg.reports_privacy_mode % 2 == 0) SAfprintf(PT, "%-*s\t%s\n", ulen, tname, Users[i].vname);
	Users[i].vname = Users[i].name = SAstrdup(tname);
    }

    if (cfg.reports_privacy_mode % 2 == 0) SAfclose(PT);
}
